Surface SolidPtOn Grips are not in particular sensible order

Is there a way to get a planar surface grip points list in a similar order as curve points?

import rhinoscriptsyntax as rs

rs.UnselectAllObjects()
obj = rs.GetObject("Pick object")

rs.SelectObject(obj)
if rs.IsSurface(obj):
    rs.Command("_SolidPtOn _SelID " + str(obj) + " _Enter", False)
else:
    rs.EnableObjectGrips(obj)

rs.UnselectAllObjects()
pts = rs.ObjectGripLocations(obj)
rs.EnableObjectGrips(obj, False)

for i in range(0, len(pts)):
    rs.AddTextDot(str(i), pts[i])

Hi @Asterisk,

Well, no, a Brep is far more complicated than a curve.

The SolidPtOn command iterates a Brep’s vertex list and creates grips at those locations.

– Dale